<!--
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. 
You may use this software free of charge on non profit-making websites, provided that this
copyright notice is left intact.

This software must not be used on revenue-generating websites, or distributed with a commerical
package, except by agreement with the copyright holder.

For details contact paul@paulspages.co.uk.
-->
<?php
$scriptpath = "scripts/";
$sfile = "";
if (isset($_GET["s"])) {
	$sfile = $_GET["s"];
}
if (isset($_GET["g"])) {
	$matchgame = $_GET["g"] * 1;
} else {
	$matchgame = 0;  
}
if ($sfile == "") {
	$sfile = "bgmenu.bgg";
}
$pos = strpos($sfile, "/"); 
if ($pos === false) { 
} else { 
   echo "Error - bg script files must be in the same folder as this page.<br>"; 
   die ; 
} 
$pos = strpos($sfile, "\\"); 
if ($pos === false) { 
} else { 
   echo "Error - bg script files must be in the same folder as this page.<br>"; 
   die ; 
}
$extension =  substr($sfile, strrpos($sfile, "."),4);
$extension = strtolower($extension);
$matchlist = "";
$matchdata = "";
if ($extension == ".bgm") { // match file
	if (!file_exists($scriptpath.$sfile)) {
		echo "Match file does not exist";
		die;
	}
	$matchlist = file($scriptpath.$sfile);
//	$matchdata = file_get_contents($scriptpath.$sfile);
//	$matchlist = explode(",", $matchdata); 

	if ($matchgame > 0) {
		$sfile = trim($matchlist[$matchgame +3]);
		$extension =  strtolower(substr($sfile, strrpos($sfile, "."),4));
	}
	$matchdata = $matchgame."::".trim(implode("::", $matchlist)); 
	$matchdata = str_replace("\n", "", $matchdata); 
	$matchdata = str_replace("\r", "", $matchdata); 
}
if ($extension != ".bgg" && $extension != ".bgt" && $extension != ".mat" && $extension != ".bgm" && $extension != ".gam" && $extension != ".xml") {
	echo "File name extension must be .bgg, .bgt, .bgm, .gam., .mat or .xml<br>";
	die  ;
}

if (file_exists($scriptpath.$sfile)) { 
} else { 
	echo "File $sfile does not exist<br>";
	die  ;
} 
?>
<HTML>
<HEAD>
<META NAME="GENERATOR" Content="Microsoft FrontPage 5.0">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<TITLE>BG Replay Desktop</TITLE>
<!--
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. Unauthorised use 
or copying prohibited.
For details contact paul@paulspages.co.uk.
-->
<script language="javascript" src="bgconfig.js"></script>
<script language="javascript" src="bgmain.js"></script>
<script language="javascript" src="bgconv.js"></script>
<script>
function pgCheckStart() {
var i, isReady = myGame.ready
var imgs = new Array(), xx
for (i = 0; i < document.images.length; i++) {
	if (!document.images[i].complete) {
		isReady = false
		imgs[imgs.length] = document.images[i].src
	} 
}
if (!isReady) {
/*
	xx = "Still waiting, myGame.ready is " + myGame.ready + "\n"
	for (i=0; i < imgs.length; i++) {
		xx += imgs[i] + "\n"
	}
	alert( xx)
*/
	setTimeout("pgCheckStart()", 1000)
} else {
	document.getElementById("boardTD").style.visibility = "visible"
	myGame.start()
}
}

function goPrint() {
if (location.search == "") {
	alert("The printer version can only be opened when you have a game open in this page")
	return
}
if (confirm("This will open the printer version of this page in a new window.\nNote that the display may take some time to appear - this is normal, as the page takes a while to generate the game images.")) {
	pWin = window.open()
	pWin.location.href = "bgprint.php" + location.search
}
}
</script>
<link rel="stylesheet" href="bgstyles.css" type="text/css">
<style>
</style>
</HEAD>
<BODY onload="pgCheckStart()" style="background-image:url('images/backm.gif');background-repeat:no-repeat">
<center>
<div class="smallprint" style="position:absolute;left:7;top:45;text-align:right"><a href=".">Back to menu</a></div>

<!-- PAGE AND GAME TITLES-->
<span class="header" id="ptitle" >&nbsp;</span><br>
<span class="movedisp" id="gtitle" >&nbsp;</span><br>

<!-- MAIN 3-COLUMN DISPLAY TABLE-->
<table border="0"  cellpadding="0" cellspacing="0" width="1200">
<!-- SPACER ROW-->
<tr>
<td colspan="3" align="center">
<br><br>
</td></tr>

<tr>
<!-- BOARD DISPLAY AND SPEED CONTROLS CELL-->
<td width="450" valign="top" style="visibility:hidden;background-color:none;" id="boardTD">
<span class="playername" id="p1title">&nbsp;</span>
<script>
myBG = new bgBoard(
			"myBG", // Board ID as string - must be the ID used in this assignment
			"w",	// Colour used by the POV player (top to bottom of on-screen board). Default "w"
			"images/",		// Optional image path (e.g. "images/") must include trailing / if used
			"l",	// Horizontal orientation - default "l" for top-left
			2)		// Player number shown as the POV player. Default 1
myBG.resetBoard()
</script>
<span class="playername" id="p2title">&nbsp;</span>
<form id="speedcontrolsarea" style="text-align:left">
<input type="button" class="minibutton" value="FH" title="Flip board layout horizontally" onclick="myGame.flipHoriz()"> 
<!--
<input type="checkbox" onclick="myGame.setPrompts(this.checked)">Hide prompts
-->
Speed: 
</form>
</td>

<!-- PLAY CONTROLS, ROLL/MOVE AND COMMENTARY CELL-->
<td valign="top" width="300" style="padding-left:4;padding-right:12">
<div id="matchdatadisp" class="matchdata" style="display:none"></div>
<div id="rollcontrolsarea"></div>
<span id="matchcontrolsarea" style="display:none"></span>
<input class="stdcontrol" type="button" value="printer version" onclick="goPrint()" title="Open the printer version of this page, which shows a separate board image for each play.">
<div class="rolldisp" id="rolldisp" style="margin-top:10">Please wait while the page finishes downloading its contents</div>
<div class="precompdisp" id="precompdisp" style="margin-top:10"></div>
<div id="playcontrolsarea" style="margin-top:10"></div>
<div class="movedisp" id="movedisp" style="margin-top:10">&nbsp;</div>
<div class="postcompdisp" id="postcompdisp" style="margin-top:10"></div>
<div id="afterplaycontrolsarea" style="margin-top:10"></div> 
<!--
<div class="promptdisp" id="promptdisparea" style="margin-top:10"></div>
-->
</td>

<!-- ANALYSIS DISPLAYS CELL-->
<td valign="top" style="padding-left:14">
<div class=precompdisp id="analysemovedisp">&nbsp;</div>
<div class=precompdisp id="analysecubedisp">&nbsp;</div>
</td>
</tr>
<tr>
<td valign="top" colspan="3">
<div class=precompdisp id="gamestatsdisp">&nbsp;</div>
</td>
</tr>

</table>
</center>

<!-- GAME FILE AND SCRIPT CONTAINERS - FILLED IN AUTOMATICALLY IN THIS (PHP) VERSION-->
<form id="devForm" style="DISPLAY:none">
<textarea class="stdtextarea" id="gamescript" cols="70" rows="30">
<?php 
if ($extension == ".bgg") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea><br>
<textarea class="stdtextarea" id="gamsource" cols="70" rows="5" style="DISPLAY:">
<?php 
if ($extension == ".gam" || $extension == ".mat") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea>
<?php 
if ($extension == ".gam") {
	echo "<script>document.getElementById('gamescript').value = bgd_parseGam(document.getElementById('gamsource').value)</script>" ; 
}
if ($extension == ".mat") {
	echo "<script>document.getElementById('gamescript').value = bgd_parseMat(document.getElementById('gamsource').value,'$sfile',$matchgame)</script>" ; 
}
?>
<textarea class="stdtextarea" id="bgtsource" cols="70" rows="20" style="DISPLAY:">
<?php 
if ($extension == ".bgt") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea>
<?php 
if ($extension == ".bgt") {
	echo "<script>document.getElementById('gamescript').value=bgd_parseBgt(document.getElementById('bgtsource').value)</script>" ; 
}
?>
<TEXTAREA class="stdtextarea" id="XMLdata" rows="20" cols="70">
<?php 
if ($extension == ".xml") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</TEXTAREA> 
<?php 
if ($extension == ".xml") {
	echo "<script>document.getElementById('gamescript').value=bgd_parseXML(document.getElementById('XMLdata').value);//alert(document.getElementById('gamescript').value)</script>" ; 
}
?>
</form>
<script>
// WARNING - Mozilla is CASE-SENSITIVE when specifying HTML element names as parameters
// to the 'new bgGame' call below.
myGame = new bgGame(
	"myGame",			// ID - must be the same as the name above
	"bg.php",			// filename of this page
	 myBG,				// ID of board object (NOTE as a name, not a string)
	"gamescript",		// ID of element containing game script
	"rollcontrolsarea", // Element to contain control buttons
	"playcontrolsarea", // Element to contain play controls
	null,	// Optional area for "Press next to continue" prompts 
	"afterplaycontrolsarea", // Element to contain after-play (replay/next) controls
	"speedcontrolsarea", // Element to hold animation speed controls	
	"matchcontrolsarea",// Element to hold next/previous game and menu buttons
	"rolldisp",			// Display element for roll data
	"movedisp",			// Display element for move data
	"precompdisp",		// Display element for pre comment
	"postcompdisp",		// Display element for post comment
	"ptitle",			// Display element for page title
	"gtitle",			// Display element for game title
	"p1title",			// Display element for player 1 name & stats
	"p2title",			// Display element for player 2 name & stats
	"gameIntroDisp",	// Display element for game intro
	"analysemovedisp",  // analyseMove table display area
	"analysecubedisp",  // analyseCube table display area
	"matchdatadisp",    // match header information display area
	"gamestatsdisp",    // end of game stats (from GNU .txt format) display area
	 false,				// Set dev (play editor) mode on
	"devForm",			// Dev form ID - mandatory when dev is true
    <?php echo ($matchdata == "") ? "null" : '"'.$matchdata.'"'; ?>) // match string (optional) for PHP versions only

</script>
</BODY>
</HTML>