/*
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. 
You may use this software free of charge on non profit-making websites, provided that this
copyright notice is left intact.

This software must not be used on revenue-generating websites, or distributed with a commerical
package, except by agreement with the copyright holder.

For details contact paul@paulspages.co.uk.
*/

function bg_config() {
var i, j
this.boardWidth = 432
this.boardHeight = 328
this.points = new Array()
// This array contains the x-coordinates of the points on the board. 
// Point 0 is the off tray, point 25 is the bar.
// On-board points (second element onwards) start from lower left and work anti-clockwise
// Default layout is top-left
this.pointx = new Array(12, 48, 73, 98, 122, 146, 170, 241, 265, 290, 314, 338, 361,
				361, 338, 314, 290, 265, 241, 170, 146, 122, 98, 73, 48, 205)
this.rightSideOff = 396 // Off tray x coord for top-right play
this.leftSideOff = 12 // Off tray x coord for top-left (default) play

						   
this.yupper = 12 // starting y coord for upper-table points (upper edge of playing area)
this.ylower = 292 // starting y coord for lower-table points (lower edge of playing area)
this.pieceheight = 24
this.sideheight = 9

this.uppertrayYpos = 11 // Y coord of upper off side tray
this.lowertrayYpos = 177  // Y coord of lower off side tray

this.dicesize = 28
this.dicey = 150 // dice y coord
this.dice1x = 85
this.dice2x = 280
this.lowerlabelOffset = 22 // LOWER LABELS VERTICAL OFFSET 
this.upperlabelOffset = 14 // UPPER LABELS VERTICAL OFFSET
this.labelFont = "color:white;font-size:8pt"
this.labelWidth = 24

this.pointstackthreshold = 5 // Max pieces per layer on a point
this.barstackthreshold = 4 // Max pieces per layer on the bar

this.cubeSize = 32
this.cubeX = 202 // X coord of cube (all positions)
this.cubeY = new Array()
//alert(Math.round(this.boardHeight / 2) - (this.cubeSize / 2))
this.cubeY[0] = Math.round((this.boardHeight / 2) - (this.cubeSize / 2))
this.cubeY[1] = this.yupper - 11 
this.cubeY[2] = this.ylower +2
this.cubeFont = "color:black;font-size:12pt;font-family:Verdana, Arial, Sans-serif;font-weight:bold;padding-top:5"

this.bar1ypos = this.cubeSize + 8 
this.bar2ypos = this.boardHeight - (this.cubeSize) - (this.pieceheight * 4) - 10

}

