/*
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. 
You may use this software free of charge on non profit-making websites, provided that this
copyright notice is left intact.

This software must not be used on revenue-generating websites, or distributed with a commerical
package, except by agreement with the copyright holder.

For details contact paul@paulspages.co.uk.

Version 1.2 29th March 2005
*/

function bg_addPrintToBoard(obj) {
obj.genSnapshotHTML = bg_genSnapshotHTML

}

function bg_genSnapshotHTML(i) {
var j, k
var op = '<div id="' + this.boardID + i + 'pmaindiv" style="position:relative;width:' + this.boardWidth + ';height:' + this.boardHeight + ';">'
op += '<img src="' + this.imgpath + 'board.jpg">'

for (j = 1; j < 3; j++) {
	for (k = 0; k < 15; k++) {
		op +='<img src="' + this.pieces[j][k].src  + '" style="position:absolute;left:' + this.pieces[j][k].style.left + ';top:' + this.pieces[j][k].style.top + ';display:;z-index:' + this.pieces[j][k].style.zIndex  +  '">'
	}
}
op += '<div style="position:absolute;'+ this.cubeFont + ';background-repeat:no-repeat;text-align:center;width:' + this.cubeSize + ';height:' + 
	this.cubeSize + ';left:' + this.cubeDisp.style.left + ';top:' + this.cubeDisp.style.top + ';background-image:' + this.cubeDisp.style.backgroundImage + ';">' + this.cubeDisp.innerHTML + '</div>'  

//if (!confirm(op)) {return}
for (j = 1; j < 25; j++) {
	op += '<span style="position:absolute;text-align:center;width:' + this.labelWidth + ';left:' + this.labels[j].style.left + ';top:' + this.labels[j].style.top + ';' + this.labelFont + ';">' + this.labels[j].innerHTML + '</span>'
}
// dice
for (j = 1; j < 3; j++) {
	for (k = 0; k < 2; k++) {
		op +='<img src="' + this.diceimgs[j][k].src + '" style="position:absolute;left:' + this.diceimgs[j][k].style.left + ';top:' + this.diceimgs[j][k].style.top + ';">'
	}
}
op += "</div>"
return op
}

function cleanupSrc(obj, d) {
return obj.imgpath + d.substring(d.lastIndexOf("/") + 1)
}

function bg_addPrintToGame(obj, printPlayTemplate) {
obj.printGame = bgg_printGame
obj.print2 = bgg_print2
obj.printPlayTemplate = document.getElementById(printPlayTemplate)
}

function bgg_printGame() {
this.printIndex = -1
setTimeout(this.gameID + ".print2()", 10)
}

function xbgg_print2() {

this.printIndex++
if (this.printIndex == this.plays.length) {
	return
}
for (i=0; i < 20; i++) {
	document.write(i + ": " + myGame.plays[i].moves + "<br>") 
}
//setTimeout(this.gameID + ".print2()", 10)
}


function ybgg_print2() {

this.printIndex++
if (this.printIndex == this.plays.length) {
	return
}
var i = this.printIndex, op, cp
cp = this.plays[i]
op = bg_replace(this.printPlayTemplate.value, "::player::", this.playerNames[cp.player])	
op = bg_replace(op, "::dice::", cp.dice)
op = bg_replace(op, "::moves::", cp.moves)	
//alert(op)
document.write(op)
setTimeout(this.gameID + ".print2()", 10)
}

function bgg_print2(i) {
var op, cp, x, y, z = ""
cp = this.plays[i]
if (cp.command == "steps") { // Ignore steps sequences in this version
	return ""
}
op = bg_replace(this.printPlayTemplate.value, "::player::", this.playerNames[cp.player])	

this.applyPosID(cp.posID)
this.board.showLabels(cp.player)
	x = (cp.player == 1) ? 2 : 1
	this.board.showDice(x, 0, 0)
	y = bg_btrim(cp.dice)
if (y != "") {
	this.board.showDice(cp.player, parseInt(y.substr(0,1)), y.substr(1,1))	
} else {
	this.board.showDice(cp.player, 0, 0)	
}
this.dispStats()
op = bg_replace(op, "::stats1::", this.playerName1Disp.innerHTML)
op = bg_replace(op, "::stats2::", this.playerName2Disp.innerHTML)
if (cp.rollNo > 0) {
	op = bg_replace(op, "::rolldisp::", 'Roll no. ' + cp.rollNo + ': ' +  this.playerNames[cp.player] + ' to play ' + cp.dice)
} else if (cp.command.indexOf("double") >= 0) {
	z = cp.command.substring(cp.command.lastIndexOf(" "))
	op = bg_replace(op, "::rolldisp::", this.playerNames[cp.player] + ' offers the cube at ' + z)
	this.board.showCube((cp.player == 1) ? 2 : 1, parseInt(z), true)
} else if (cp.command.indexOf("take") >= 0) {
	z = cp.command.substring(cp.command.lastIndexOf(" "))
	op = bg_replace(op, "::rolldisp::", this.playerNames[cp.player] + ' takes the cube at ' + z)
	this.board.showCube(cp.player, parseInt(z), false)
} else if (cp.command.indexOf("pass") >= 0) {
	z = cp.command.substring(cp.command.lastIndexOf(" "))
	op = bg_replace(op, "::rolldisp::", this.playerNames[cp.player] + ' passes the cube at ' + z)
	this.board.showCube(cp.player, parseInt(z), true)
} else {
	op = bg_replace(op, "::rolldisp::", "")
}

if (z !="") {
}
op = bg_replace(op, "::board::", this.board.genSnapshotHTML(i))
if (cp.moves !="") {
	op = bg_replace(op, "::moves::", '<br><span class="rolldisp">' + this.playerNames[cp.player] + ' plays ' + cp.moves + '</span><br>')
} else {
	op = bg_replace(op, "::moves::", "")
}

op = bg_replace(op, "::moves::", cp.moves)	
op = bg_replace(op, "::precomment::", bg_unDemo(cp.precomment))	
op = bg_replace(op, "::postcomment::", bg_unDemo(cp.postcomment))	
if (cp.analyseMove != "") {
	op = bg_replace(op, "::moveAnalysis::", this.showMoveAnalysis(cp.analyseMove, true))
} else {
	op = bg_replace(op, "::moveAnalysis::", "")
}
//if (!confirm(op)) {return}
return(op)
}

function bg_unDemo(d) {
d = bg_replace(d, "[demo]", "<b>")
return bg_replace(d, "[/demo]", "</b>")
}