<!--
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. 
You may use this software free of charge on non profit-making websites, provided that this
copyright notice is left intact.

This software must not be used on revenue-generating websites, or distributed with a commerical
package, except by agreement with the copyright holder.

For details contact paul@paulspages.co.uk.
-->
<?php
$scriptpath = "scripts/";
$sfile = "";
if (isset($_GET["s"])) {
	$sfile = $_GET["s"];
}
if (isset($_GET["g"])) {
	$matchgame = $_GET["g"] * 1;
} else {
	$matchgame = 0;  
}
if ($sfile == "") {
	$sfile = "bgmenu.bgg";
}
$pos = strpos($sfile, "/"); 
if ($pos === false) { 
} else { 
   echo "Error - bg script files must be in the same folder as this page.<br>"; 
   die ; 
} 
$pos = strpos($sfile, "\\"); 
if ($pos === false) { 
} else { 
   echo "Error - bg script files must be in the same folder as this page.<br>"; 
   die ; 
}
$extension =  substr($sfile, strrpos($sfile, "."),4);
$extension = strtolower($extension);
$matchlist = "";
$matchdata = "";
if ($extension == ".bgm") { // match file
	if (!file_exists($scriptpath.$sfile)) {
		echo "Match file does not exist";
		die;
	}
	$matchlist = file($scriptpath.$sfile);
//	$matchdata = file_get_contents($scriptpath.$sfile);
//	$matchlist = explode(",", $matchdata); 

	if ($matchgame > 0) {
		$sfile = trim($matchlist[$matchgame +3]);
		$extension =  strtolower(substr($sfile, strrpos($sfile, "."),4));
	}
	$matchdata = $matchgame."::".trim(implode("::", $matchlist)); 
	$matchdata = str_replace("\n", "", $matchdata); 
	$matchdata = str_replace("\r", "", $matchdata); 
}
if ($extension != ".bgg" && $extension != ".bgt" && $extension != ".mat" && $extension != ".bgm" && $extension != ".gam" && $extension != ".xml") {
	echo "File name extension must be .bgg, .bgt, .bgm, .gam., .mat or .xml<br>";
	die  ;
}

if (file_exists($scriptpath.$sfile)) { 
} else { 
	echo "File $sfile does not exist<br>";
	die  ;
} 
?>
<HTML>
<HEAD>
<META NAME="GENERATOR" Content="Microsoft FrontPage 5.0">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<TITLE>BG Replay Print Page</TITLE>
<!--
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. Unauthorised use 
or copying prohibited.
For details contact paul@paulspages.co.uk.
-->
<script language="javascript" src="bgconfig_bpod.js"></script>
<script language="javascript" src="bgmain.js"></script>
<script language="javascript" src="bgconv.js"></script>
<script language="javascript" src="bgprint.js"></script>
<script>
sys = new Object()
sys.playIndex = 0

function pgCheckStart() {
var i, isReady = myGame.ready
var imgs = new Array(), xx
for (i = 0; i < document.images.length; i++) {
	if (!document.images[i].complete) {
		isReady = false
		imgs[imgs.length] = document.images[i].src
	} 
}
if (!isReady) {
/*
	xx = "Still waiting, myGame.ready is " + myGame.ready + "\n"
	for (i=0; i < imgs.length; i++) {
		xx += imgs[i] + "\n"
	}
	alert( xx)
*/
	setTimeout("pgCheckStart()", 1000)
} else {
	setTimeout("genPlayBlocks()", 0)

}
}

function genPlayBlocks() {
if (sys.playIndex >= myGame.plays.length) {
	document.getElementById("welcomesplash").style.display = "none"
	return
}
var mainHTML = ""
for (i=sys.playIndex; i < myGame.plays.length; i++) {
	mainHTML += myGame.print2(i)
}
document.getElementById("maincontent").innerHTML = mainHTML
document.getElementById("welcomesplash").style.display = "none"
}

</script>
<link rel="stylesheet" href="bgstyles.css" type="text/css" media="screen">
<link rel="stylesheet" href="bgprint.css" type="text/css" media="print">
<style>
</style>
</HEAD>
<BODY onload="pgCheckStart()" >
<center>
<div class="noprint" style="position:absolute;left:7;top:45" text-align:right"><a href=".">Back to menu</a></div>
<span class="header" id="ptitle" >&nbsp;</span><br><span class="movedisp" id="gtitle" >&nbsp;</span><br>
<div id="matchdatadisp" class="matchdata" style="display:"></div>
<span class="noprint"><br>
The colours on this page will adjust automatically for printing. See the bottom of the page for more tips on printing.
<br>
</span>
<br>
<div id="welcomesplash" style="padding-top:15;padding-bottom:15;top:30;border:1px black solid;background-color:blue;color:yellow;z-index:50;width:400">
Generating the remaining images for this game - please wait.<br>
This may take a while, and the page may be unresponsive<br>(e.g. scroll slowly) while it's happening.
<br>
</div>


<table border="0"  cellpadding="0" cellspacing="0" width="1200" style="display:none">
<tr><td colspan="3" align="center">
<br><br>
</td></tr>

<tr><td width="450" valign="top" style="visibility:hidden;background-color:none;" id="boardTD">

<span class="playername" id="p1title">&nbsp;</span>
<script>
myBG = new bgBoard(
			"myBG", // Board ID as string - must be the ID used in this assignment
			"w",	// Colour used by the POV player (top to bottom of on-screen board). Default "w"
			"bpodimages/",		// Optional image path (e.g. "images/") must include trailing / if used
			"l",	// Horizontal orientation - default "l" for top-left
			2)		// Player number shown as the POV player. Default 1
myBG.resetBoard()
bg_addPrintToBoard(myBG)
</script>

<span class="playername" id="p2title">&nbsp;</span>
<form id="speedcontrolsarea" style="text-align:left">
<input type="button" class="minibutton" value="FH" title="Flip board layout horizontally" onclick="myGame.flipHoriz()"> 
<!--
<input type="checkbox" onclick="myGame.setPrompts(this.checked)">Hide prompts
-->
Speed: 
</form>
</td><td valign="top" width="300" style="padding-left:4;padding-right:12">
<!-- Play controls and data display areas -->

<div id="rollcontrolsarea"></div>
<span id="matchcontrolsarea" style="display:none"></span>
<div class="rolldisp" id="rolldisp" style="margin-top:10">Please wait while the page finishes downloading its contents</div>
<div class="precompdisp" id="precompdisp" style="margin-top:10"></div>
<div id="playcontrolsarea" style="margin-top:10"></div>
<div class="movedisp" id="movedisp" style="margin-top:10">&nbsp;</div>
<div class="postcompdisp" id="postcompdisp" style="margin-top:10"></div>
<div id="afterplaycontrolsarea" style="margin-top:10"></div> 
<!--
<div class="promptdisp" id="promptdisparea" style="margin-top:10"></div>
-->
</td>
<td valign="top" style="padding-left:14">
<div class=precompdisp id="analysemovedisp">&nbsp;</div>
<div class=precompdisp id="analysecubedisp">&nbsp;</div>
</td>
</tr>
<tr>
<td valign="top" colspan="3">
<div class=precompdisp id="gamestatsdisp">&nbsp;</div>
</td>
</tr>
</table>
<br>
</center>


<form id="devForm" style="DISPLAY:none">
<table width="880" border="1"><tr><td width="50%" valign="top">
<textarea class="stdtextarea" id="gamescript" cols="70" rows="30">
<?php 
if ($extension == ".bgg") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea><br>
<textarea class="stdtextarea" id="gamsource" cols="70" rows="5" style="DISPLAY:">
<?php 
if ($extension == ".gam" || $extension == ".mat") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea>
<?php 
if ($extension == ".gam") {
	echo "<script>document.getElementById('gamescript').value = bgd_parseGam(document.getElementById('gamsource').value)</script>" ; 
}
if ($extension == ".mat") {
	echo "<script>document.getElementById('gamescript').value = bgd_parseMat(document.getElementById('gamsource').value,'$sfile',$matchgame)</script>" ; 
}
?>
<textarea class="stdtextarea" id="bgtsource" cols="70" rows="20" style="DISPLAY:">
<?php 
if ($extension == ".bgt") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea>
<?php 
if ($extension == ".bgt") {
	echo "<script>document.getElementById('gamescript').value=bgd_parseBgt(document.getElementById('bgtsource').value)</script>" ; 
}
?>
<TEXTAREA class="stdtextarea" id="XMLdata" rows="20" cols="70">
<?php 
if ($extension == ".xml") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</TEXTAREA> 
<?php 
if ($extension == ".xml") {
	echo "<script>document.getElementById('gamescript').value=bgd_parseXML(document.getElementById('XMLdata').value);//alert(document.getElementById('gamescript').value)</script>" ; 
}
?>

</td></tr></table>
</form>

<!--
Play print block template
-->
<textarea id="printPlayTemplate" style="display:none">
<table border="1" width="600" style="page-break-after:always">
<tr><td colspan="2" ><span class="rolldisp">::rolldisp::</span></td>
<tr><td valign="top" width="350" >
<div style="position:relative:left:0">
::stats1::<br>
::board::
::stats2::<br>
::moveAnalysis::
</div>
</td><td valign="top">
::precomment::
<br>::moves::<br>
::postcomment::
</td></tr>
</table>
<br>
</textarea>


<script>
// WARNING - Mozilla is CASE-SENSITIVE when specifying HTML element names as parameters
// to the 'new bgGame' call below.
myGame = new bgGame(
	"myGame",			// ID - must be the same as the name above
	"bg.php",			// filename of this page
	 myBG,				// ID of board object (NOTE as a name, not a string)
	"gamescript",		// ID of element containing game script
	"rollcontrolsarea", // Element to contain control buttons
	"playcontrolsarea", // Element to contain play controls
	null,	// Optional area for "Press next to continue" prompts 
	"afterplaycontrolsarea", // Element to contain after-play (replay/next) controls
	"speedcontrolsarea", // Element to hold animation speed controls	
	"matchcontrolsarea",// Element to hold next/previous game and menu buttons
	"rolldisp",			// Display element for roll data
	"movedisp",			// Display element for move data
	"precompdisp",		// Display element for pre comment
	"postcompdisp",		// Display element for post comment
	"ptitle",			// Display element for page title
	"gtitle",			// Display element for game title
	"p1title",			// Display element for player 1 name & stats
	"p2title",			// Display element for player 2 name & stats
	"gameIntroDisp",	// Display element for game intro
	"analysemovedisp",  // analyseMove table display area
	"analysecubedisp",  // analyseCube table display area
	"matchdatadisp",    // match header information display area
	"gamestatsdisp",    // end of game stats (from GNU .txt format) display area
	 false,				// Set dev (play editor) mode on
	"devForm",			// Dev form ID - mandatory when dev is true
    <?php echo ($matchdata == "") ? "null" : '"'.$matchdata.'"'; ?>) // match string (optional) for PHP versions only
bg_addPrintToGame(myGame, "printPlayTemplate")
</script>



</div>
<!--
OK, this is the start of the real content!
-->
<div id="printGameIntro" style="display:none"></div>

<script>
//alert(myGame.board.pieces[1][0].src)
if (myGame.pageTitle != "") {
	document.title = myGame.pageTitle
}
if (myGame.gameIntro != "") {
	document.getElementById("printGameIntro").innerHTML = myGame.gameIntro + "<br>"
	document.getElementById("printGameIntro").style.display = ""
}
while (sys.playIndex < myGame.plays.length && sys.playIndex < 6) {
	document.write(myGame.print2(sys.playIndex))
	sys.playIndex++
}
</script>
<div id="maincontent">
</div>
<div class="noprint">
<br>
TIPS FOR PRINTING:<br>
Choose File..Print Preview to see how this page will look on your printer.<br>
Choose File..Page Setup to adjust printer settings before printing.<br>
 - If your page setup panel has a 'print backgrounds' option, select it to print the cube and highlighted move analysis backgrounds.<br>
 - Choose 'Printer Properties' then 'Print in grayscale' (if available) to print in monochrome.<br>
<br>
</div>
<!--
<textarea id="mainContentHTML" rows="50" cols="90"></textarea>
<script>
document.getElementById("mainContentHTML").value = document.getElementById("maincontent").innerHTML
</script>
-->

</BODY>
</HTML>

