<!--
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. 
You may use this software free of charge on non profit-making websites, provided that this
copyright notice is left intact.

This software must not be used on revenue-generating websites, or distributed with a commerical
package, except by agreement with the copyright holder.

For details contact paul@paulspages.co.uk.
-->
<?php
// THIS IS THE SELF-DRIVE VERSION OF THE BG REPLAY PAGE
$sourcedata = "";
if (isset($_POST["playgam"])) {
	if ($_POST["sdgamsource"] == "") {
		echo "Error - You pressed 'Play' but didn't supply any .gam file data!"; 
		die;	
	}
	$sourcedata = "gam";
}
if (isset($_POST["playgnu"])) {
	if ($_POST["sdgnusource"] == "") {
		echo "Error - You pressed 'Play' but didn't supply any GNU text file data!"; 
		die;	
	}
	$sourcedata = "gnu";
}
//echo "Source data format is $sourcedata";
//die;

?>
<HTML>
<HEAD>
<META NAME="GENERATOR" Content="Microsoft FrontPage 5.0">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<TITLE>BG Replay Self-Drive - replay your own game file</TITLE>
<!--
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. Unauthorised use 
or copying prohibited.
For details contact paul@paulspages.co.uk.
-->
<script language="javascript" src="bgconfig.js"></script>
<script language="javascript" src="bgmain.js"></script>
<script language="javascript" src="bgconv.js"></script>
<script>
function pgCheckStart() {
var i, isReady = myGame.ready
var imgs = new Array(), xx
for (i = 0; i < document.images.length; i++) {
	if (!document.images[i].complete) {
		isReady = false
		imgs[imgs.length] = document.images[i].src
	} 
}
if (!isReady) {
/*
	xx = "Still waiting, myGame.ready is " + myGame.ready + "\n"
	for (i=0; i < imgs.length; i++) {
		xx += imgs[i] + "\n"
	}
	alert( xx)
*/
	setTimeout("pgCheckStart()", 1000)
} else {
	document.getElementById("boardTD").style.visibility = "visible"
	myGame.start()
}
}
</script>
<link rel="stylesheet" href="bgstyles.css" type="text/css">
<style>
</style>
</HEAD>
<BODY onload="pgCheckStart()" style="background-image:url('images/backm.gif');background-repeat:no-repeat">
<center>
<div class="smallprint" style="position:absolute;left:7;top:45;text-align:left"><a href=".">Back to menu</a></div>
<span class="header" id="ptitle" >&nbsp;</span><br><span class="movedisp" id="gtitle" >&nbsp;</span><br>
<table border="0"  cellpadding="0" cellspacing="0" width="1200">
<tr><td colspan="3" align="center">
<br><br>
</td></tr>

<tr><td width="450" valign="top" style="visibility:hidden;background-color:none;" id="boardTD">

<span class="playername" id="p1title">&nbsp;</span>
<script>
myBG = new bgBoard(
			"myBG", // Board ID as string - must be the ID used in this assignment
			"w",	// Colour used by the POV player (top to bottom of on-screen board). Default "w"
			"images/",		// Optional image path (e.g. "images/") must include trailing / if used
			"l",	// Horizontal orientation - default "l" for top-left
			2)		// Player number shown as the POV player. Default 1
myBG.resetBoard()
</script>

<span class="playername" id="p2title">&nbsp;</span>
<form id="speedcontrolsarea" style="text-align:left">
<input type="button" class="minibutton" value="FH" title="Flip board layout horizontally" onclick="myGame.flipHoriz()"> Speed: 
</form></td><td valign="top" width="300" style="padding-left:4;padding-right:12">
<!-- Play controls and data display areas -->
<div id="rollcontrolsarea"></div>
<div class="rolldisp" id="rolldisp" style="margin-top:10">Please wait while the page finishes downloading its contents</div>
<div class="precompdisp" id="precompdisp" style="margin-top:10"></div>
<div id="playcontrolsarea" style="margin-top:10"></div>
<div class="movedisp" id="movedisp" style="margin-top:10">&nbsp;</div>
<div class="postcompdisp" id="postcompdisp" style="margin-top:10"></div>
<div id="afterplaycontrolsarea" style="margin-top:10"></div> 
</td>
<td valign="top" style="padding-left:14">
<div class=precompdisp id="analysemovedisp">&nbsp;</div>
<div class=precompdisp id="analysecubedisp">&nbsp;</div>
</td>
</tr>
<tr>
<td valign="top" colspan="3">
<div class=precompdisp id="gamestatsdisp">&nbsp;</div>
</td>
</tr>
</table>
<br>
</center>


<form id="sdform" style="width:500" action="bgsd.php" method="post">

<table width="760" border="1">
<tr><td colspan="2">
<span class="movedisp">Self-drive</span><br>
<b>Paste the contents of your .gam or GNU text export file in below, then press "Play".</b>
<br>(NOTE - see bottom of page for details of the .gam and GNU formats supported by this page.)
<br>(ANOTHER NOTE - This isn't a clever scam to nick your game scripts! Your game data won't be stored on the server or anywhere else - just sent back out to this page and forgotten.)
</td></tr valign="top">
<td width="380">
<b>.gam (Jellyfish)</b><br>Paste the contents of your .gam file into the box below and press "Play!"
<br><input type="submit" class="stdcontrol" value="Play!" name="playgam"><br>
<textarea name="sdgamsource" rows="15" cols="40">
</textarea>
</td>
<td width="380">
<b>GNU Text-Export</b> (single game only - not match)<br>Paste the contents of your GNU text-export file in below and press "Play!"
<br><input type="submit" class="stdcontrol" value="Play!" name="playgnu"><br>
<textarea name="sdgnusource" rows="15" cols="40">
</textarea>
</td></tr>
<tr valign="top"><td >
<b>.GAM file details</b><br>
Files must be single-game (i.e. not .mat match files).
They must use a ) symbol after the line number.<br><br>
Here's an example (don't worry if the characters don't line up like this in the text box above):
<pre> Tom                            Jerry
  1)                             56: 24/18 18/13 
  2) 51: 24/23 23/18             16: 8/7* 13/7 
  3) 43: 25/21 24/21             65: 24/18 18/13 
  4) 43: 8/4 6/3                 52: 13/8 8/6 
  5) 36: 6/3 13/7                64: 13/7 7/3 
  6) 41: 8/4 8/7                  Doubles => 2
  7)  Takes                      61: 13/7 7/6 
  8) 56: 13/8 13/7               64: 13/7 6/2 
  9) 22: 8/6 7/5 7/5 6/4         13: 6/5 5/2 
</pre>
<br>
</td><td>
<b>GNU text-export file details</b><br>
Create the file using GNU's export-game-text menu options (see screenshot below)<br><br>
TIP - make sure the game has been analysed before saving. Move and cube analysis data will then appear on this page.<br><br>
ANOTHER TIP - try typing some annotations in GNU before exporting. These will appear in the commentary section on this page. To split an annotation between pre-move and post-move comments, include [split] in the annotation text.<br><br>

Here's an example (don't worry if the characters don't line up like this in the text box above):
<pre style="font-size:8px">The score (after 0 games) is: Tom 0, Jerry 0 (match to 7 points)
Match Information:

Date: March 11, 2005
Move number 1: O to play 63

    GNU Backgammon  Position ID: 4HPwATDgc/ABMA
                    Match ID   : MADvAAAAAAAA
    +-1--2--3--4--5--6-------7--8--9-10-11-12-+  O: Tom
    | X              O |   |    O           X |  0 points
    | X              O |   |    O           X |  Rolled 63
    |                O |   |    O           X |  
    |                O |   |                X |  
    |                O |   |                X |  
    |                  |BAR|                  |^ 7 point match (Cube: 1)
    |                X |   |                O |  
    |                X |   |                O |  
    |                X |   |    X           O |  
    | O              X |   |    X           O |  
    | O              X |   |    X           O |  0 points
    +24-23-22-21-20-19------18-17-16-15-14-13-+  X: Jerry
Pip counts: O 167, X 167

* Tom moves 24/21 8/2
</pre>
<br>



</td></tr>
<tr valign="top"><td >
You can produce .gam files from GNU Backgammon like this:<br><br>
<img src="bgsdgnugamext.jpg" border="1" align="left"><br>
</td><td>
You can produce text files from GNU Backgammon like this:<br><br>
<img src="bgsdgnutxtext.jpg" border="1" align="left"><br>
</td></tr>
<tr><td colspan="2"><center>
<?php 
if ($sourcedata == "") {
	echo "<b>This is the built-script which created the text at the top of the page:</b><br>" ; 
} else {
	echo "<b>This is the internal script which was generated from your game:</b><br>";
}
?>
<textarea class="stdtextarea" id="gamescript" cols="90" rows="40">
[pagetitle BG Replay - Self Drive Version]
[gametitle Paste your .gam or GNU text-export file in below and see it run in this page!]
[horizl][povplr2][povclrw]
[play][player1][title Introduction]
[posID 14HPwATDgc/ABMA]
[command steps]
[steps]
[step]clear::[/step]
[step]say::
<b>WELCOME TO BG REPLAY SELF-DRIVE</b><br><br>
To see your game played in this page:
<br><br>
1. Open a saved game file (Jellyfish .gam or GNU text export) 
in a text editor (such as Windows Notepad): 
<br><br>
2. Select all the text, copy it to the clipboard.
<br><br>
3. Paste it into the .gam or GNU box below and press "Play!"
<br><br>
(See bottom of page for more details of the file formats supported) 
[/step]
[/steps]
[/play]
</textarea>
</center>
</td></tr>
<tr><td colspan="2">
<center>
<b>XML support in BG Replay</b><br>
XML is all the rage in the computer business, so I thought I'd better put XML support into BG Replay.<br>
Press "generate XML from page" to see an XML version of the current page script. You can copy this to the clipboard
then paste it into a text editor and save it as an .xml file. Then you can, er, do all the exciting things with it that
you can do with XML files :-) (actually it might be useful to have backgammon games in a format that can be understood by 
any XML parser).<br>
BG Replay can also read XML files in this format, with the standard .xml file name extension (e.g. "game1.xml")<br>

<INPUT class=stdcontrol onclick="document.getElementById('XMLdata').value=myGame.genXMLFromPage()" type=button value="generate XML from page" > 
<br><TEXTAREA class=stdtextarea id="XMLdata" cols="90" rows="40"></TEXTAREA> 
</center>
</td></tr>
</table>

</form>

<form id="devForm" style="DISPLAY:none">
<table width="880" border="1"><tr><td width="50%" valign="top">

<br>
<textarea class="stdtextarea" id="gamsource" cols="70" rows="5" style="DISPLAY:">
<?php 
if ($sourcedata == "gam") {
	echo $_POST["sdgamsource"]; 
}
?>
</textarea>
<?php 
if ($sourcedata == "gam") {
	echo "<script>document.getElementById('gamescript').value = bgd_parseGam(document.getElementById('gamsource').value);document.getElementById('ptitle').innerHTML = 'Game from .gam file'</script>" ; 
}
?>
<textarea class="stdtextarea" id="bgtsource" cols="70" rows="20" style="DISPLAY:">
<?php 
if ($sourcedata == "gnu") {
	echo stripslashes($_POST["sdgnusource"]); 
}
?>
</textarea>
<?php 
if ($sourcedata == "gnu") {
	echo "<script>document.getElementById('gamescript').value=bgd_parseBgt(document.getElementById('bgtsource').value)</script>" ; 
}
?>
</td></tr></table>
</form>

<div style="display:none">
<span id="matchcontrolsarea"></span>
<span id="matchdatadisp"></span>
</div>


<script>
// WARNING - Mozilla is CASE-SENSITIVE when specifying HTML element names as parameters
// to the 'new bgGame' call below.
myGame = new bgGame(
	"myGame",			// ID - must be the same as the name above
	"bgsd.php",			// filename of this page
	 myBG,				// ID of board object (NOTE as a name, not a string)
	"gamescript",		// ID of element containing game script
	"rollcontrolsarea", // Element to contain control buttons
	"playcontrolsarea", // Element to contain play controls
	null,				// Optional area for "Press next to continue" prompts 
	"afterplaycontrolsarea", // Element to contain after-play (replay/next) controls
	"speedcontrolsarea", // Element to hold animation speed controls	
	"matchcontrolsarea",// Element to hold next/previous game and menu buttons
	"rolldisp",			// Display element for roll data
	"movedisp",			// Display element for move data
	"precompdisp",		// Display element for pre comment
	"postcompdisp",		// Display element for post comment
	"ptitle",			// Display element for page title
	"gtitle",			// Display element for game title
	"p1title",			// Display element for player 1 name & stats
	"p2title",			// Display element for player 2 name & stats
	"gameIntroDisp",	// Display element for game intro
	"analysemovedisp",  // analyseMove table display area
	"analysecubedisp",  // analyseCube table display area
	"matchdatadisp",    // match header information display area
	"gamestatsdisp",    // end of game stats (from GNU .txt format) display area
	 false,				// Set dev (play editor) mode on
	"devForm",			// Dev form ID - mandatory when dev is true
    null)				// match string (optional) for PHP versions only
</script>
</BODY>
</HTML>