<!--
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. 
You may use this software free of charge on non profit-making websites, provided that this
copyright notice is left intact.

This software must not be used on revenue-generating websites, or distributed with a commerical
package, except by agreement with the copyright holder.

For details contact paul@paulspages.co.uk.
-->
<?php
$scriptpath = "scripts/";
$sfile = "";
if (isset($_GET["s"])) {
	$sfile = $_GET["s"];
}
if (isset($_GET["g"])) {
	$matchgame = $_GET["g"] * 1;
} else {
	$matchgame = 0;  
}
if ($sfile == "") {
	$sfile = "bpodmenu.bgg";
}
$pos = strpos($sfile, "/"); 
if ($pos === false) { 
} else { 
   echo "Error - bg script files must be in the same folder as this page.<br>"; 
   die ; 
} 
$pos = strpos($sfile, "\\"); 
if ($pos === false) { 
} else { 
   echo "Error - bg script files must be in the same folder as this page.<br>"; 
   die ; 
}
$extension =  substr($sfile, strrpos($sfile, "."),4);
$extension = strtolower($extension);
$matchlist = "";
$matchdata = "";
if ($extension == ".bgm") { // match file
	if (!file_exists($scriptpath.$sfile)) {
		echo "Match file does not exist";
		die;
	}
	$matchlist = file($scriptpath.$sfile);
//	$matchdata = file_get_contents($scriptpath.$sfile);
//	$matchlist = explode(",", $matchdata); 

	if ($matchgame > 0) {
		$sfile = trim($matchlist[$matchgame +3]);
		$extension =  strtolower(substr($sfile, strrpos($sfile, "."),4));
	}
	$matchdata = $matchgame."::".trim(implode("::", $matchlist)); 
	$matchdata = str_replace("\n", "", $matchdata); 
	$matchdata = str_replace("\r", "", $matchdata); 
}
if ($extension != ".bgg" && $extension != ".bgt" && $extension != ".mat" && $extension != ".bgm" && $extension != ".gam" && $extension != ".xml") {
	echo "File name extension must be .bgg, .bgt, .bgm, .gam., .mat or .xml<br>";
	die  ;
}

if (file_exists($scriptpath.$sfile)) { 
} else { 
	echo "File $sfile does not exist<br>";
	die  ;
} 
?>
<HTML>
<HEAD>
<META NAME="GENERATOR" Content="Microsoft FrontPage 5.0">
<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
<TITLE>bPod - your handy backgammon tutor!</TITLE>
<!--
The contents of this file are (C) Paul Stephens 2005. All Rights reserved. Unauthorised use 
or copying prohibited.
For details contact paul@paulspages.co.uk.
-->
<script language="javascript" src="bgconfig_bpod.js"></script>
<script language="javascript" src="bgmain.js"></script>
<script language="javascript" src="bgconv.js"></script>
<script>
function pgCheckStart() {
var i, isReady = myGame.ready
var imgs = new Array(), xx
for (i = 0; i < document.images.length; i++) {
	if (!document.images[i].complete) {
		isReady = false
		imgs[imgs.length] = document.images[i].src
	} 
}
if (!isReady) {
/*
	xx = "Still waiting, myGame.ready is " + myGame.ready + "\n"
	for (i=0; i < imgs.length; i++) {
		xx += imgs[i] + "\n"
	}
	alert( xx)
*/
	setTimeout("pgCheckStart()", 1000)
} else {
	document.getElementById("boardTD").style.visibility = "visible"
	myGame.start()
}
}

function setAdisp(x){
var m = document.getElementById("analysemovedisp"), c = document.getElementById("analysecubedisp")
if (x == "m") {
	c.style.display = "none"
	m.style.display = ""
} else {
	m.style.display = "none"
	c.style.display = ""
}
}

function goMenu(gameObj) {
var pg = "bpod.php"  // CHANGE THIS FOR DIFFERENT HOST PAGE NAMES

// COMMENT THE NEXT BIT OUT FOR PAGES THAT DON'T USE MENU SCRIPTS
if (gameObj.menuScript != "") {
	pg += "?s=" + gameObj.menuScript
}

location.href = pg
}
</script>
<link rel="stylesheet" href="bpod.css" type="text/css">
<style>
</style>
</HEAD>
<BODY onload="pgCheckStart()" style="margin-top:2">
<center>
<!--
<div class="smallprint" style="text-align:right; position:absolute;top:5; left:5"><a href="index.php">Back to menu</a></div>
-->

<!-- MAIN DISPLAY DIV - ALL DISPLAY AREAS (E.G. THE BOARD) ARE ABSOLUTE-POSITIONED RELATIVE TO THIS ONE-->
<div style="position:relative;left:0;width:699;height:800;background-image:url('bpodimages/bpodbg.gif')">

<!-- BOARD SCREEN (INCLUDING STATS, ROLL DISPLAY ETC)-->
<span class="playername" style="text-align:left;position:absolute;left:331;top:80" id="p1title">&nbsp;</span>
<span style="position:absolute;left:329;top:94;visibility:visible" id="boardTD">
<script>
myBG = new bgBoard(
			"myBG", // Board ID as string - must be the ID used in this assignment
			"w",	// Colour used by the POV player (top to bottom of on-screen board). Default "w"
			"bpodimages/",		// Optional image path (e.g. "images/") must include trailing / if used
			"l",	// Horizontal orientation - default "l" for top-left
			2)		// Player number shown as the POV player. Default 1
myBG.resetBoard()
</script>
</span>
<span class="playername" id="p2title" style="text-align:left;position:absolute;left:331;top:314">&nbsp;</span><br>
<span class="rolldisp" id=rolldisp style="width:330;text-align:left;position:absolute;left:331;top:327;color:black;">Please wait while your bPod downloads its contents :)</span><br>
<span class="movedisp" style="width:330;text-align:left;position:absolute;left:331;top:342;color:black;" id="movedisp">&nbsp;</span>

<!-- ON-DEVICE CONTROL BUTTONS-->
<span id="rollcontrolsarea" style="position:absolute;left:326;top:387"></span><br>
<span id="playcontrolsarea" style="position:absolute;left:626;top:387"></span>
<span id="afterplaycontrolsarea" style="position:absolute;left:591;top:387"></span>
<form id="atypecontrols" style="color:#B9B9C7;font-size:7pt;position:absolute;left:326;top:412">
<span id="matchcontrolsarea"></span>&nbsp;
<input type="radio" class="minirad" checked name="atype" value="m" title="Show Move Analysis" onclick="setAdisp('m')">M
<input type="radio" class="minirad" name="atype" value="c" title="Show Cube Analysis" onclick="setAdisp('c')">C&nbsp;
<input type="radio" class="minirad" checked name="ds" value="m" title="Fast animation speed" onclick="myGame.setAnimDelay(10)">F
<input type="radio" class="minirad" name="ds" value="c" title="Medium animation speed" onclick="myGame.setAnimDelay(30)">M
<input type="radio" class="minirad" name="ds" value="f" title="Slow animation speed" onclick="myGame.setAnimDelay(60)">S&nbsp;
<input type="checkbox" class="minirad" checked id="wbp" title="Wait for you to press the play button before showing moves" value="ON">Wbp
<input type="button" class="minibutton" value="FH" title="Flip board layout horizontally" onclick="myGame.flipHoriz()">
</form>

<!-- LEFT-HAND DISPLAY PANEL -->
<span style="position:absolute;text-align:center;width:240;left:30;top:82">
<div id="matchdatadisp" class="matchdata" style="display:none"></div>
<span class="header" id="ptitle" >&nbsp;</span><br>
<span class="movedisp" style="color:cyan;text-align:center;font-size:8pt; font-weight:normal;" id="gtitle"></span><br>
<p class="precompdisp" id="precompdisp" style="margin-left:0">&nbsp;</p>
<p class="postcompdisp" id="postcompdisp" style="margin-left:0"> &nbsp;</p>
<div class="promptdisp" id="promptdisparea" style="margin-top:10"></div>
</span>

<!-- LOWER (ANALYSIS) DISPLAY PANEL -->
<div class=precompdisp style="display:none;position:absolute;width:300;left:331;top:460" id="analysecubedisp">&nbsp;</div>
<div class=precompdisp style="position:absolute;width:350;left:321;top:460" id="analysemovedisp">&nbsp;</div>

</div> <!-- END OF MAIN DISPLAY DIV-->
</center>

<!-- GAME FILE AND SCRIPT CONTAINERS - FILLED IN AUTOMATICALLY IN THIS (PHP) VERSION-->
<form id="devForm" style="DISPLAY:none">
<textarea class="stdtextarea" id="gamescript" cols="70" rows="10">
<?php 
if ($extension == ".bgg") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea><br>
<textarea class="stdtextarea" id="gamsource" cols="70" rows="5" style="DISPLAY:">
<?php 
if ($extension == ".gam" || $extension == ".mat") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea>
<?php 
if ($extension == ".gam") {
	echo "<script>document.getElementById('gamescript').value = bgd_parseGam(document.getElementById('gamsource').value)</script>" ; 
}
if ($extension == ".mat") {
	echo "<script>document.getElementById('gamescript').value = bgd_parseMat(document.getElementById('gamsource').value,'$sfile',$matchgame)</script>" ; 
}

?>
<textarea class="stdtextarea" id="bgtsource" cols="70" rows="20" style="DISPLAY:">
<?php 
if ($extension == ".bgt") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</textarea>
<?php 
if ($extension == ".bgt") {
	echo "<script>document.getElementById('gamescript').value=bgd_parseBgt(document.getElementById('bgtsource').value)</script>" ; 
}
?>
<TEXTAREA class="stdtextarea" id="XMLdata" rows="20" cols="70">
<?php 
if ($extension == ".xml") {
	$srcdata = file_get_contents($scriptpath.$sfile);
	echo $srcdata;
}
?>
</TEXTAREA> 
<?php 
if ($extension == ".xml") {
	echo "<script>document.getElementById('gamescript').value=bgd_parseXML(document.getElementById('XMLdata').value);//alert(document.getElementById('gamescript').value)</script>" ; 
}
?>
</form>
<script>
// WARNING - Mozilla is CASE-SENSITIVE when specifying HTML element names as parameters
// to the 'new bgGame' call below.
myGame = new bgGame(
	"myGame",			// ID - must be the same as the name above
	"bpod.php",			// filename of this page
	 myBG,				// ID of board object (NOTE as a name, not a string)
	"gamescript",		// ID of element containing game script
	"rollcontrolsarea", // Element to contain control buttons
	"playcontrolsarea", // Element to contain play controls
	"promptdisparea",	// Optional area for "Press next to continue" prompts 
	"afterplaycontrolsarea", // Element to contain after-play (replay/next) controls
	null, // Element to hold animation speed controls	
	"matchcontrolsarea",// Element to hold next/previous game and menu buttons
	"rolldisp",			// Display element for roll data
	"movedisp",			// Display element for move data
	"precompdisp",		// Display element for pre comment
	"postcompdisp",		// Display element for post comment
	"ptitle",			// Display element for page title
	"gtitle",			// Display element for game title
	"p1title",			// Display element for player 1 name & stats
	"p2title",			// Display element for player 2 name & stats
	"gameIntroDisp",	// Display element for game intro
	"analysemovedisp",  // analyseMove table display area
	"analysecubedisp",  // analyseCube table display area
	"matchdatadisp",    // match header information display area
	null,    // end of game stats (from GNU .txt format) display area
	 false,				// Set dev (play editor) mode on
	"devForm",			// Dev form ID - mandatory when dev is true
    <?php echo ($matchdata == "") ? "null" : '"'.$matchdata.'"'; ?>) // match string (optional) for PHP versions only


myGame.showIDInStats = false
if (myGame.isMatch && myGame.curGameNo > 0) {
	bg_dispTextValue(myGame.pageTitleDisp, "") 
}

myGame.hidePageTitleInMatches = true
myGame.wait4play = document.getElementById("wbp")
// Special bPod patch for game title
gt = document.getElementById("gtitle")
if (gt.innerHTML.indexOf(":") > 0) {
	gt.innerHTML = gt.innerHTML.substring(0, gt.innerHTML.indexOf(":")) + 
		"<br>" + gt.innerHTML.substring(gt.innerHTML.indexOf(":") + 1)

}
</script>

</BODY>
</HTML>